JUCE: Grid::TrackInfo Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Grid::TrackInfo Struct Referencefinal
juce_gui_basics » layout

Represents a track. More...

`#include <juce_Grid.h>`

## Public Member Functions
| TrackInfo () noexcept
| Creates a track with auto dimension.
| TrackInfo (Px sizeInPixels) noexcept
| TrackInfo (Fr fractionOfFreeSpace) noexcept
| TrackInfo (Px sizeInPixels, const String &endLineNameToUse) noexcept
| TrackInfo (Fr fractionOfFreeSpace, const String &endLineNameToUse) noexcept
| TrackInfo (const String &startLineNameToUse, Px sizeInPixels) noexcept
| TrackInfo (const String &startLineNameToUse, Fr fractionOfFreeSpace) noexcept
| TrackInfo (const String &startLineNameToUse, Px sizeInPixels, const String &endLineNameToUse) noexcept
| TrackInfo (const String &startLineNameToUse, Fr fractionOfFreeSpace, const String &endLineNameToUse) noexcept
bool | isAuto () const noexcept
bool | isFractional () const noexcept
bool | isPixels () const noexcept
const String & | getStartLineName () const noexcept
const String & | getEndLineName () const noexcept
float | getSize () const noexcept
| Get the track's size - which might mean an absolute pixels value or a fractional ratio.

## Detailed Description

Represents a track.

## Constructor & Destructor Documentation

## ◆ TrackInfo() [1/9]

Grid::TrackInfo::TrackInfo | ( |  | ) |
| noexcept

Creates a track with auto dimension.

## ◆ TrackInfo() [2/9]

Grid::TrackInfo::TrackInfo | ( | Px | sizeInPixels | ) |
| noexcept

## ◆ TrackInfo() [3/9]

Grid::TrackInfo::TrackInfo | ( | Fr | fractionOfFreeSpace | ) |
| noexcept

## ◆ TrackInfo() [4/9]

Grid::TrackInfo::TrackInfo | ( | Px | sizeInPixels,
|  | const String & | endLineNameToUse
| ) |  |
| noexcept

## ◆ TrackInfo() [5/9]

Grid::TrackInfo::TrackInfo | ( | Fr | fractionOfFreeSpace,
|  | const String & | endLineNameToUse
| ) |  |
| noexcept

## ◆ TrackInfo() [6/9]

Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Px | sizeInPixels
| ) |  |
| noexcept

## ◆ TrackInfo() [7/9]

Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Fr | fractionOfFreeSpace
| ) |  |
| noexcept

## ◆ TrackInfo() [8/9]

Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Px | sizeInPixels,
|  | const String & | endLineNameToUse
| ) |  |
| noexcept

## ◆ TrackInfo() [9/9]

Grid::TrackInfo::TrackInfo | ( | const String & | startLineNameToUse,
|  | Fr | fractionOfFreeSpace,
|  | const String & | endLineNameToUse
| ) |  |
| noexcept

## Member Function Documentation

## ◆ isAuto()

bool Grid::TrackInfo::isAuto | ( |  | ) | const
| noexcept

## ◆ isFractional()

bool Grid::TrackInfo::isFractional | ( |  | ) | const
| noexcept

## ◆ isPixels()

bool Grid::TrackInfo::isPixels | ( |  | ) | const
| noexcept

## ◆ getStartLineName()

const String & Grid::TrackInfo::getStartLineName | ( |  | ) | const
| noexcept

## ◆ getEndLineName()

const String & Grid::TrackInfo::getEndLineName | ( |  | ) | const
| noexcept

## ◆ getSize()

float Grid::TrackInfo::getSize | ( |  | ) | const
| noexcept

Get the track's size - which might mean an absolute pixels value or a fractional ratio.

The documentation for this struct was generated from the following file:

- juce_Grid.h